const _Http = getApp().globalData.http;
Page({
    data: {
        skeletonShow: false,
        loading: false,
        sa_brandid: null,
        tradefield: null,
        brandList: [],
        domainList: [],
        type: "标准订单",
    },
    onLoad(options) {
        console.log(options)
        this.setData({
            type: options.type || '标准订单',
            sa_projectid: options.sa_projectid || 0,
            sa_contractid: options.sa_contractid || 0,
        })
        this.getBrand();
        this.getDomain();
    },
    /* 获取品牌 */
    getBrand() {
        _Http.basic({
            "id": 20220924163702,
            "content": {
                "pageSize": 999,
            }
        }).then(res => {
            console.log("查询品牌", res)
            if (res.data.length) this.setData({
                brandList: res.data,
                sa_brandid: res.data[0].sa_brandid
            });
        })
    },
    /* 选择品牌 */
    onSelectBrand(e) {
        let {
            item
        } = e.currentTarget.dataset;
        if (this.data.sa_brandid == item.sa_brandid) return;
        this.setData({
            sa_brandid: item.sa_brandid
        })
    },
    /* 获取领域 */
    getDomain() {
        _Http.basic({
            "id": 20221223141802,
            "content": {
                "pageNumber": 1,
                "pageSize": 99999,
                "where": {
                    "condition": ""
                }
            }
        }).then(res => {
            console.log("获取领域", res)
            if (res.data.length) this.setData({
                domainList: res.data,
                tradefield: res.data[0].tradefield,
                skeletonShow: false
            });
        })
    },
    /* 选择领域 */
    onSelect(e) {
        let {
            item
        } = e.currentTarget.dataset;
        if (this.data.tradefield == item.tradefield) return;
        this.setData({
            tradefield: item.tradefield
        })
    },
    submit() {
        if (this.data.loading) return;
        this.setData({
            loading: true
        })
        _Http.basic({
            "id": 20221108111402,
            content: {
                sa_orderid: 0,
                sa_accountclassid: 0,
                rec_contactsid: 0,
                pay_enterpriseid: 0,
                sa_contractid: this.data.sa_contractid,
                sa_projectid: this.data.sa_projectid,
                "sa_brandid": this.data.sa_brandid, //品牌ID
                "type": this.data.type, //订单类型
                "tradefield": this.data.tradefield, //必选
            }
        }).then(res => {
            this.setData({
                loading: false
            })
            console.log("创建标准订单", res);
            wx.showToast({
                title: res.msg != '成功' ? res.msg : '创建成功',
                icon: "none",
                mask: true
            });
            if (res.msg == '成功') setTimeout(() => {
                wx.redirectTo({
                    url: '/packageA/orderForm/detail?id=' + res.data.sa_orderid,
                });
                let page = getCurrentPages().find(v => v.__route__ == 'packageA/orderForm/index');
                if (page) page.getList(true);
            }, 500)
        })
    }
})